//
//  MapStatusChangeListener.swift
//  bmap_flutter
//
//  Created by 刘建林 on 2021/7/20.
//
import Flutter

class MapStatusChangeListener:NSObject, FlutterStreamHandler, BMKMapViewDelegate, BMKGeoCodeSearchDelegate  {
    var sink: FlutterEventSink?
    var mCoder: BMKGeoCodeSearch?
    let reverseGeoCodeOption = BMKReverseGeoCodeSearchOption.init()
    
    override init() {
        super.init()
        mCoder = BMKGeoCodeSearch.init()
        mCoder?.delegate = self
        reverseGeoCodeOption.isLatestAdmin = true
    }
    
    func onListen(withArguments arguments: Any?, eventSink events: @escaping FlutterEventSink) -> FlutterError? {
        sink = events
        
        
        return nil
    }
    
    func onCancel(withArguments arguments: Any?) -> FlutterError? {
        return nil
    }
    
    func mapStatusDidChanged(_ mapView: BMKMapView!) {
        
    }
    
    func mapView(_ mapView: BMKMapView!, regionDidChangeAnimated animated: Bool, reason: BMKRegionChangeReason) {
        print("map area changed")
    }
}
